error message

Reports about issues that you encounter in Suffusion. This forum is closed with effect from February 2019. Please post future requests on https://github.com/sayontan/suffusion.
Forum rules
This forum is being officially closed with effect from 3rd February 2019. Future support requests can be posted on the GitHub page at https://github.com/sayontan/suffusion/issues.
Locked
jmz1964
Posts: 33
Joined: 28 Nov 2010, 09:43

error message

Post by jmz1964 » 13 Apr 2014, 11:15

I have a new error on my WORDPRESS dashboard within the options page for a newsletter plugin (mail poet). I have a HELP request into them already but want to mention it here too as the message seems to implicate a conflict with Suffusion:

Strict Standards: Declaration of Suffusion_MM_Walker_Edit::start_el() should be compatible with Walker_Nav_Menu::start_el(&$output, $item, $depth = 0, $args = Array, $id = 0) in /home/james/public_html/news/wp-content/themes/suffusion/library/suffusion-admin-walkers.php on line 282

it was working nicely for the past 6 months. I will change to a new newsletter plugin if I must, but would love to resolve the issue so i can use BOTH it and Suffusion

drake
Posts: 6223
Joined: 26 Jul 2011, 07:56
Location: Constanta, Romania
Contact:

Re: error message

Post by drake » 13 Apr 2014, 17:57

See this topic (and the site linked by @dvl): viewtopic.php?f=2&t=24339

jmz1964
Posts: 33
Joined: 28 Nov 2010, 09:43

Re: error message

Post by jmz1964 » 13 Apr 2014, 19:07

Again, thank you. Will this fix work even though it is from last year?

And if I understand correct, I must update the code in more than one place?

drake
Posts: 6223
Joined: 26 Jul 2011, 07:56
Location: Constanta, Romania
Contact:

Re: error message

Post by drake » 13 Apr 2014, 19:24

It is just a warning... "Should be" is not the same thing as "Required". Even if you activate WP_DEBUG you will not see the error. Only some plugins like yours, or Codestyling Localization, show these warnings, I don't know how can affect a warning the functionality of those plugins... Codestyling just display the errors but works without problems, I don't know about your plugin... If your plugin just show the errors but works, you can ignore the errors... If not, change the file/files as is detailed in the linked topic (I never changed those files)

jmz1964
Posts: 33
Joined: 28 Nov 2010, 09:43

Re: error message

Post by jmz1964 » 13 Apr 2014, 20:52

unfortunately, i think it has been affecting the performance of my NEWSLETTER plugin. lately it has been sending out random newsletters (mailed to all my users a link to my archive, for example). So i do need to deal with it.

I have the newsletter plugin disabled at present and i only use it about twice a month, so if SUFFUSION is updating soon maybe i will wait? to make sure I don't mess anything up.

drake
Posts: 6223
Joined: 26 Jul 2011, 07:56
Location: Constanta, Romania
Contact:

Re: error message

Post by drake » 14 Apr 2014, 02:01

I really doubt that those warnings has something to do with your problems with the plugin. Those warnings refer to Walker_Nav_Menu, so they deal only with the displaying of menus in Suffusion, which works fine. I can't see a reason for Suffusion Walker to send newsletters...

Also, I doubt that Sayontan have plans to update the theme soon. The theme will works as now in WP 3.9., so will not need critical upgrades. For a new update WPTRT ask for more changes which are very hard and time consuming to implement.

Locked